#include <iostream>
#include <argparse/argparse.hpp>
#include "connection.h"

int main(int argc, char** argv) {
    argparse::ArgumentParser program("rg-api");
    program.add_argument("--session")
        .help("session from redguy.ru");

    try {
        program.parse_args(argc, argv);
    }
    catch (const std::runtime_error& err) {
        std::cerr << err.what() << std::endl;
        std::cerr << program;
        std::exit(1);
    }

    auto session = program.get<std::string>("session");
    connection con(session);

    return 0;
}
